> ## Documentation Index
> Fetch the complete documentation index at: https://developer.plugsurfing.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of operators

> Returns the list of Charging Point Operators (CPOs) whose chargers are available through the geosearch endpoints. Can be used to let users filter on specific operators



## OpenAPI

````yaml reference/openapi.json GET /drive/v1/locations/operators
openapi: 3.1.0
info:
  title: Drive API
  version: 1.0.0
  description: >-
    The Drive API provides comprehensive access to Plugsurfing's charging
    infrastructure network. It enables you to manage users, charging keys,
    search for charging locations, handle payments, and control charging
    sessions.
servers:
  - url: https://{environment}.plugsurfing.com
    variables:
      environment:
        enum:
          - drive-api-stage
        default: drive-api-stage
        description: >-
          API environment - use drive-api-stage for testing and drive-api for
          production
security: []
tags:
  - name: Geosearch
    description: >-
      Search and retrieve detailed information about charging locations and
      stations
  - name: Users
    description: >-
      Manage user accounts including creation, retrieval, updates, and deletion.
      Handles user-specific data and preferences.
  - name: Charging Keys
    description: >-
      Manage physical and virtual charging keys including creation, activation,
      updates, and status management. Essential for user access to charging
      stations.
  - name: Sessions
    description: >-
      Access and manage charging session data including history, status, and
      detailed session information
  - name: Remote Charging
    description: >-
      Control charging sessions remotely including starting and stopping
      sessions, and monitoring session status
  - name: Payment Options
    description: >-
      Manage payment methods and handle transaction processing for charging
      services
  - name: User Groups
    description: Manage user group memberships
  - name: Vouchers
    description: Redeem vouchers
  - name: Charging Key Orders
    description: Handle the ordering and fulfillment process for physical charging keys
  - name: EMP Charging Keys
    description: E-Mobility Provider specific endpoints for managing charging keys
  - name: EMP Geosearch
    description: E-Mobility Provider specific endpoints for location search and information
  - name: EMP Orders
    description: E-Mobility Provider specific endpoints for managing orders
  - name: EMP Sessions
    description: E-Mobility Provider specific endpoints for managing charging sessions
  - name: EMP Fleets
    description: E-Mobility Provider specific endpoints for managing fleets
paths:
  /drive/v1/locations/operators:
    get:
      tags:
        - Geosearch
      summary: Get list of operators
      description: >-
        Returns the list of Charging Point Operators (CPOs) whose chargers are
        available through the geosearch endpoints. Can be used to let users
        filter on specific operators
      operationId: listOperators
      parameters:
        - name: cursor
          in: query
          description: >-
            Cursor used to get next page. Returned from previous response from
            this endpoint. Should be URL encoded.
          example: H6Zb4Z8p+4/vhPl9JKVHM+9/XWoF02I4EIKblAd3nMk=
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperatorsListResponse'
              example:
                operators:
                  - id: 1547830
                    name: string
                    externalId: id_12345
                cursor: H6Zb4Z8p+4/vhPl9JKVHM+9/XWoF02I4EIKblAd3nMk=
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                message: Resource not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OperatorsListResponse:
      type: object
      required:
        - operators
      properties:
        operators:
          type: array
          items:
            $ref: '#/components/schemas/Operator'
        cursor:
          type: string
          description: >-
            The cursor pointing to the next page. Omit when fetching the first
            page. When missing, it means there are no more pages to fetch.
          example: H6Zb4Z8p+4/vhPl9JKVHM+9/XWoF02I4EIKblAd3nMk=
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        message:
          type: string
    Operator:
      type: object
      required:
        - id
        - name
      properties:
        id:
          description: This operator id can be used in the 'operatorIds' geosearch filter
          type: integer
          example: 1547830
        name:
          description: >-
            User friendly operator name. Note: some operators can have multiple
            ids (for example, one per country).
          type: string
          maxLength: 64
        externalId:
          description: the operator's external id (e.g. "DE*ABC")
          type: string
          maxLength: 64
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.